package com.chinaitop.depot.basic.mapper;

import com.chinaitop.depot.basic.model.BasicStorehouse;
import com.chinaitop.depot.basic.model.BasicStorehouseExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface BasicStorehouseMapper {
    int countByExample(BasicStorehouseExample example);

    int deleteByExample(BasicStorehouseExample example);

    int deleteByPrimaryKey(Integer storehouseId);

    int insert(BasicStorehouse record);

    int insertSelective(BasicStorehouse record);

    List<BasicStorehouse> selectByExample(BasicStorehouseExample example);

    BasicStorehouse selectByPrimaryKey(Integer storehouseId);

    int updateByExampleSelective(@Param("record") BasicStorehouse record, @Param("example") BasicStorehouseExample example);

    int updateByExample(@Param("record") BasicStorehouse record, @Param("example") BasicStorehouseExample example);

    int updateByPrimaryKeySelective(BasicStorehouse record);

    int updateByPrimaryKey(BasicStorehouse record);
    
    /**
     * 导入
     */
	void importData(Map<String, String> map);

	List<BasicStorehouse> selectByExampleNew(Map<String, Object> map);
	
	List<BasicStorehouse> getThreeTempCheckList(Map<String, Object> map);

    Map<String, Object> getAgentDepotId(Map<String, Object> map);
}