package com.chinaitop.depot.basic.service;

import com.alibaba.fastjson.JSONObject;
import com.chinaitop.depot.basic.model.BasicTank;
import com.chinaitop.depot.basic.model.BasicTankExample;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

public interface BasicTankService {


    List<BasicTank> findBasicTank(BasicTankExample example);

    void saveOrEdit(HttpServletRequest request, BasicTank basicTank,Integer orgId);

    BasicTank findByPrimary(Integer id);

    void updateBasicTank(Integer id, Integer delFlag);

    Boolean findStorageTankCodeList(BasicTankExample basicTankExample, Integer id);

    String importData(List<List<String>> list, JSONObject user,String orgCode);

    /**
     * 更新油罐数据
     * @param request
     * @param tankJson
     * @param orgId
     * @return
     * @throws Exception 
     */
	Map<String, Object> updateOrSave(HttpServletRequest request, String tankJson, Integer orgId) throws Exception;

	/**
	 * 查询油罐列表（分页）
	 * 
	 * @param pageNum
	 * @param pageSize
	 * @param storagetankName
	 * @return
	 */
	PageInfo<BasicTank> pageInfoTankList(Integer pageNum, Integer pageSize, String storagetankName);
}
